// quelques variantes sur le vandermonde 
// 

t=linspace(0,1,600)'; 

function A=vdm6(t,n) 
 m=size(t,'r')
 A=ones(m,n+1)
 for i=1:n 
   A(:,i+1)=A(:,i).*t 
 end 
endfunction 

timer();A=vdm6(t,100);timer() 

function A=vdm7(t,n) 
   m=size(t,'r');
   A=(t*ones(1,n+1)).^( ones(m,1)*[0:n]);
endfunction 

timer();A=vdm7(t,100);timer() 

function A=vdm8(t,n) 
  m=size(t,'r')
  A=cumprod([ones(m,1),t*ones(1,n)]);
endfunction 

timer();A=vdm8(t,100);timer() 

function y=basic(x,y)
 y=x.^y 
endfunction 

function A=vdm9(t,n) 
  A=feval(t,0:n,basic)
endfunction

timer();A=vdm9(t,100);timer() 

