if ~exists('optimize') then optimize=%f;end  /// @@prerequisite set do_job to %t
lines(0)/// @@prerequisite
getf('pendfun.sci')/// @@prerequisite
getf('pendcost.sci')/// @@prerequisite
getf('pendanim.sci')/// @@prerequisite
W=100*eye(4,4); // weighing matrix
M=1;m=.2;l=.6;g=10; // model parameters
N=5; // number of tau's
delt=1.7;T0=ones(1,N)*delt/N; // initial guess
x0=[0;-%pi;0;0]; // intial state 
Umax=9.7;

if optimize then  /// @@prerequisite
  [J,Topt,gr]=optim(cost,'b',ones(T0)*delt*0,delt*ones(T0),T0,'ar',300);  /// @@prerequisite 
else /// @@prerequisite
  disp('\sciprompt{}[J,Topt,gr]=optim(cost,''b'',ones(T0)*delt*0,delt*ones(T0),T0,''ar'',300);'); /// @@prerequisite
  load('pend.dat'); /// @@prerequisite 
end /// @@prerequisite
Topt
Ti=Topt;/// @@prerequisite
pendanim(0)/// @@prerequisite
