A=(1:3)' * ones(1,3) /// \sleftarrow{\normalfont transpose \verb+'+ and usual matrix product \verb+*+ }
A.* A' ///  \sleftarrow{\normalfont multiplication tables: using a term-by-term product}
t=(1:3)';m=size(t,'r');n=3;
A=(t*ones(1,n+1)).^(ones(m,1)*[0:n])  /// \sleftarrow {\begin{minipage}[t]{6cm}{\nf{}term-by-term exponentiation to build\\ a Vandermonde matrix \( A(i,j)= t\sb{i}\sp{j-1} \) }\end{minipage}}
A=eye(2,2).*.[1,2;3,4] /// \sleftarrow{\normalfont  Kronecker product}
A=[1,2;3,4];b=[5;6];
/// x = A \verb+\+ b ; norm(A*x -b)/// \sleftarrow{\begin{minipage}[t]{6cm}{\nf{}\verb+\+ {for} solving a linear system \verb+Ax=b+.\index{norm@\texttt{norm}} }\end{minipage}}
A=[1,2;3,4];b=[5;6]; x = A \b ; norm(A*x -b) /// @@prerequisite
///A1=[A,zeros(A)]; x = A1 \verb+\+ b  /// \sleftarrow {\begin{minipage}[t]{6cm}{\nf{}underdetermined system: a solution with \\ minimum norm is returned}\end{minipage}}
A1=[A,zeros(A)]; x = A1\b   /// /// @@prerequisite
///A1=[A;A]; x = A1\verb+\+ [b;7;8]   /// \sleftarrow {\begin{minipage}[t]{6cm}{\nf{}overdetermined system: a least squared \\ solution is returned}\end{minipage}}
A1=[A;A]; x = A1\ [b;7;8]   /// @@prerequisite

